Bug 1083630 - (CVE-2017-12627) VUL-1: CVE-2017-12627: xerces-c,Xerces-c: In Apache Xerces-C XML Parser library before 3.2.1, processing of external DTDpaths can result in a null pointer dereference under certain conditions.
(CVE-2017-12627)
VUL-1: CVE-2017-12627: xerces-c,Xerces-c: In Apache Xerces-C XML Parser libra...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/201057/
CVSSv3.1:SUSE:CVE-2017-12627:7.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-02 07:18 UTC by Marcus Meissner
Modified: 2020-12-02 13:05 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2018-03-02 07:18:20 UTC
CVE-2017-12627

In Apache Xerces-C XML Parser library before 3.2.1, processing of external DTD
paths can result in a null pointer dereference under certain conditions.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-12627
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12627
http://xerces.apache.org/xerces-c/secadv/CVE-2017-12627.txt
http://seclists.org/oss-sec/2018/q1/203
Comment 7 Swamp Workflow Management 2018-09-27 07:30:05 UTC
This is an autogenerated message for OBS integration:
This bug (1083630) was mentioned in
https://build.opensuse.org/request/show/638659 Factory / xerces-c
Comment 9 Swamp Workflow Management 2018-10-02 10:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1083630) was mentioned in
https://build.opensuse.org/request/show/639559 Factory / xerces-c
Comment 10 Swamp Workflow Management 2018-10-22 13:20:32 UTC
SUSE-SU-2018:3277-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1083630,985860
CVE References: CVE-2016-4463,CVE-2017-12627
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    Xerces-c-2.8.0-29.17.5.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    Xerces-c-2.8.0-29.17.5.1
Comment 11 Swamp Workflow Management 2019-04-17 22:09:07 UTC
SUSE-SU-2019:0977-1: An update that fixes one vulnerability is now available.

Category: security (low)
Bug References: 1083630
CVE References: CVE-2017-12627
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    xerces-c-3.1.4-3.3.25
SUSE Linux Enterprise Module for Basesystem 15 (src):    xerces-c-3.1.4-3.3.25

*** NOTE: This information is not intended to be used for external
    communication, because this may only be a partial fix.
    If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2019-04-26 19:10:27 UTC
openSUSE-SU-2019:1283-1: An update that fixes one vulnerability is now available.

Category: security (low)
Bug References: 1083630
CVE References: CVE-2017-12627
Sources used:
openSUSE Leap 15.0 (src):    xerces-c-3.1.4-lp150.2.3.1
Comment 13 Swamp Workflow Management 2020-08-13 13:14:11 UTC
SUSE-SU-2020:2225-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1083630
CVE References: CVE-2017-12627
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    xerces-c-3.1.1-13.3.6
SUSE OpenStack Cloud 9 (src):    xerces-c-3.1.1-13.3.6
SUSE OpenStack Cloud 8 (src):    xerces-c-3.1.1-13.3.6
SUSE OpenStack Cloud 7 (src):    xerces-c-3.1.1-13.3.6
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    xerces-c-3.1.1-13.3.6
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    xerces-c-3.1.1-13.3.6
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    xerces-c-3.1.1-13.3.6
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    xerces-c-3.1.1-13.3.6
SUSE Linux Enterprise Server 12-SP5 (src):    xerces-c-3.1.1-13.3.6
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    xerces-c-3.1.1-13.3.6
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    xerces-c-3.1.1-13.3.6
SUSE Linux Enterprise Server 12-SP3-BCL (src):    xerces-c-3.1.1-13.3.6
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    xerces-c-3.1.1-13.3.6
SUSE Linux Enterprise Server 12-SP2-BCL (src):    xerces-c-3.1.1-13.3.6
SUSE Enterprise Storage 5 (src):    xerces-c-3.1.1-13.3.6

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Wolfgang Frisch 2020-09-24 13:32:31 UTC
Released.